
#include "acpiacadapter.h"


// ------------------------------------------------------------
// AcpiACAdapter::AcpiACAdapter
// ------------------------------------------------------------
AcpiACAdapter::AcpiACAdapter(AcpiList* list, QWidget* wparent, QListViewItem* lvparent) : AcpiBase(list, wparent, lvparent)
{
	this->list->listACAdapter.append(this);
	name = "AcpiACAdapter";
	pollType = acadapter;
	hbox = static_cast<QHBox*>(this);

	lbACPower = new QLabel("AC Power:  ", hbox, "lbACPower", 0);
	lbACState = new QLabel("", hbox, "lbACState", 0);
	hbox->adjustSize();

	hbox->show();
}


// ------------------------------------------------------------
// AcpiACAdapter::~AcpiACAdapter
// ------------------------------------------------------------
AcpiACAdapter::~AcpiACAdapter()
{

}


// ------------------------------------------------------------
// AcpiACAdapter::emitSignals
// ------------------------------------------------------------
void AcpiACAdapter::emitSignals()
{
	AcpiData* state = (*files["state"])["state"];

	if (state->getValue() == "on-line") {
		emit sgnOnline(true);
	} else {
		emit sgnOnline(false);
	}
	AcpiBase* node;
	for (node = children.first(); node != 0; node = children.next()) {
  	node->emitSignals();
	}
}


// ------------------------------------------------------------
// AcpiACAdapter::updateGUI
// ------------------------------------------------------------
void AcpiACAdapter::updateGUI()
{
	AcpiData* state = (*files["state"])["state"];
	lbACState->setText(state->getValue());

	AcpiBase* node;
	for (node = children.first(); node != 0; node = children.next()) {
  	node->updateGUI();
	}
}

