#ifndef ACPIBATTERY_H

	#define ACPIBATTERY_H

	#include <string.h>

	#include <qstring.h>
	#include <qmap.h>
	#include <qobject.h>
	#include <qlistview.h>
	#include <qlabel.h>
	#include <qprogressbar.h>

	#include <cstdlib>

	#include "settings.h"
	#include "acpibase.h"
	#include "acpidata.h"
	#include "acpilist.h"

	class AcpiBattery : public AcpiBase {

		Q_OBJECT

		private:
			QLabel* lbBattery, *lbPresent;
			QProgressBar* pgBar;
			int number;
			bool absolute;   // calculate battery capacity absolute or not
			bool useColors;  // draw the battery progressbar in different colors for different states

		protected:

		public:
			AcpiBattery(AcpiList* list, QWidget* wparent, QListViewItem* lvparent);
			~AcpiBattery();
			void emitSignals();
			void updateGUI();

		signals:
			void sgnBattery(int number, double percent);

		public slots:
			void sltBatCalc(bool absolute);
			void sltUseColors(bool useColors);

	};

#endif // ACPIBATTERY_H


