
#include "acpidata.h"

using namespace std;

// ------------------------------------------------------------
// AcpiData::AcpiData
// ------------------------------------------------------------
AcpiData::AcpiData(QString key, QString value, QListViewItem* lvparent, int position, bool polling) : QListViewItem(lvparent)
{
	this->key      = key;
	this->value    = value;
	this->lvparent = lvparent;
	this->position = position;
	this->polling  = polling;
	setText(0, key);
	setText(1, value);
}


// ------------------------------------------------------------
// AcpiData::~AcpiData
// ------------------------------------------------------------
AcpiData::~AcpiData()
{
	#ifdef ACPI_DEBUG
//		cout << "Destructor AcpiData (key: " << key << " value: " << value << ")" << endl;
	#endif
}


// ------------------------------------------------------------
// AcpiData::indent
// ------------------------------------------------------------
QString AcpiData::indent(int indent)
{
	indent *= INDENT_MULT;
	QString sBuffer = "";
	for (int i = 0; i < indent; i++) {
		sBuffer.append(" ");
	}
	return sBuffer;
}


// ------------------------------------------------------------
// AcpiData::update
// ------------------------------------------------------------
void AcpiData::update(QString key, QString value)
{
	this->key   = key;
	this->value = value;
	setText(0, key);
	setText(1, value);
}


// ------------------------------------------------------------
// AcpiData::isMismatch
// ------------------------------------------------------------
bool AcpiData::isMismatch(QString key, QString value)
{
	if (key == this->key && value == this->value)
		return false;
	else
		return true;
}


// ------------------------------------------------------------
// AcpiData::print
// ------------------------------------------------------------
void AcpiData::print(int ind)
{
	cout << indent(ind) << key << ": ";
	cout << value << "     (pos: ";
	cout << position << " polling: ";
	cout << polling << endl;
}

