
#ifndef ACPIDATA_H

	#define ACPIDATA_H

	#include <qstring.h>
	#include <qlistview.h>

	#include <iostream>

	#include "settings.h"

	#define INDENT_MULT 2
	#define INDENT_ADD 2

	class AcpiData : public QListViewItem {

		private:
			QListViewItem* lvparent;
			QString key;
			QString value;
			int position;
			bool polling;
			QString indent(int indent);
  	
		protected:

		public:
			AcpiData(QString key, QString value, QListViewItem* lvparent, int position, bool polling);
			~AcpiData();
			void update(QString key, QString value);
			bool isMismatch(QString key, QString value);
			void print(int ind);
			QString getValue() { return value; };
			int getPosition() { return position; };
			bool getPolling() { return polling; };
			QListViewItem* getLVParent() { return lvparent; };
	};

#endif // ACPIDATA_H



