
#include "acpithermal.h"


// ------------------------------------------------------------
// AcpiThermal::AcpiThermal
// ------------------------------------------------------------
AcpiThermal::AcpiThermal(AcpiList* list, QWidget* wparent, QListViewItem* lvparent) : AcpiBase(list, wparent, lvparent)
{
	this->list->listThermal.append(this);
	name = "AcpiThermal";
	pollType = thermal;
	hbox = static_cast<QHBox*>(this);

	number = this->list->listThermal.count();

	char buffer[2];
	sprintf (buffer, "%d", number);
	lbThermal = new QLabel(QString("Thermal Zone ") + buffer + ": " , hbox, "lbThermal", 0);
	lbTemp = new QLabel("", hbox, "lbTemp", 0);
	hbox->adjustSize();

	hbox->show();
}


// ------------------------------------------------------------
// AcpiThermal::~AcpiThermal
// ------------------------------------------------------------
AcpiThermal::~AcpiThermal()
{

}


// ------------------------------------------------------------
// AcpiThermal::emitSignals
// ------------------------------------------------------------
void AcpiThermal::emitSignals()
{
/*
	AcpiData* state = (*files["state"])["state"];

	if (state->getValue() == "on-line") {
		emit sgnOnline(true);
	} else {
		emit sgnOnline(false);
	}
*/

	AcpiBase* node;
	for (node = children.first(); node != 0; node = children.next()) {
  	node->emitSignals();
	}
}


// ------------------------------------------------------------
// AcpiThermal::updateGUI
// ------------------------------------------------------------
void AcpiThermal::updateGUI()
{

	AcpiData* temp = (*files["temperature"])["temperature"];
	AcpiData* state = (*files["state"])["state"];

	lbTemp->setText(QString(temp->getValue()) + " (" + state->getValue() + ")");

	AcpiBase* node;
	for (node = children.first(); node != 0; node = children.next()) {
  	node->updateGUI();
	}
}

