#ifndef ACPITOSHIBA_H

	#define ACPITOSHIBA_H

	#include <qstring.h>
	#include <qmap.h>
	#include <qobject.h>
	#include <qlistview.h>
	#include <qlabel.h>
	#include <qscrollbar.h>
	#include <qvbox.h>
	#include <qhbox.h>
	#include <qcheckbox.h>

	#include <cstdlib>

	#include "settings.h"
	#include "acpibase.h"
	#include "acpidata.h"
	#include "acpilist.h"

	class AcpiToshiba : public AcpiBase {

		Q_OBJECT

		private:
			QLabel		*lbToshiba, *lbDriver, *lbProcInt, *lbKeys, *lbBrightness, *lbFanRunning, *lbSensitivity;
			QScrollBar	*sbLCD, *sbCpad;
			int number;
			QVBox		*vboxL, *vboxR;
			QHBox		*hboxFan, *hboxVideo, *hboxLCD, *hboxCpad;
			QCheckBox	*cbForceOn, *cbLCDOut, *cbCRTOut, *cbTVOut;
			QString		path;

		protected:

		public:
			AcpiToshiba(AcpiList* list, QWidget* wparent, QListViewItem* lvparent, QString path);
			~AcpiToshiba();
			void emitSignals();
			void updateGUI();

		signals:

		public slots:
			void sltSetBrightness(int val);
			void sltSetSensitivity(int val);
			void sltSetFan(bool on);
			void sltSetLCD(bool on);
			void sltSetCRT(bool on);
			void sltSetTV(bool on);
	};

#endif // ACPITOSHIBA_H


