
/***************************************************************************
 *                    aKpi - a QT/KDE acpi frontend                        *
 *                                                                         *
 *   file:              configfile.h                                       *
 *   copyright:         (c) 2002 by Tom Winkler                            *
 *   email:             akpi@aon.at                                        *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONFIGFILE_H

	#define CONFIGFILE_H

	#include <qstring.h>
	#include <qtextstream.h>
	#include <qfile.h>
	#include <qmap.h>

	class ConfigFile {

		private:
			QMap<QString, QString> map;
			QString fileName;
			bool changed;

		protected:

		public:
			ConfigFile();
			ConfigFile(QString fileName);
			~ConfigFile();
			bool exists(QString fileName);
			void readFile(QString fileName);
			void commitFile();
			QString getValue(QString key);			
			void setValue(QString key, QString val, bool overwrite = true);
	};

#endif // CONFIGFILE_H


