

#ifndef CONFIGWIDGET_H

	#define CONFIGWIDGET_H

	#include <qwidget.h>
	#include <qhbox.h>
	#include <qvbox.h>
	#include <qlayout.h>
	#include <qlabel.h>
	#include <qspinbox.h>
	#include <qvbuttongroup.h>
	#include <qradiobutton.h>
	#include <qcheckbox.h>
	#include <qtooltip.h>
	#include <qpushbutton.h>
	#include <qcolordialog.h>
	

	#include <iostream>

	#include "settings.h"

	class ConfigWidget : public QWidget {

		Q_OBJECT

		private:
			QHBox* hbPolling;
			QLabel* lbPolling;
			QLabel* lbPollingSec;
			QSpinBox* spinPolling;
			QHBox* hbBatCalc;
			QVButtonGroup* bgBatCalc;
			QRadioButton* rdBatCalcAbs;
			QRadioButton* rdBatCalcRel;
			QCheckBox* cbColorPGBar;
			QCheckBox* cbColorTray;
			QGridLayout* grid;

		protected:

		public:
			ConfigWidget(QWidget* parent = 0, const char* name = 0);
			~ConfigWidget();

		signals:
			void sgnPolling(int interval);
			void sgnBatCalc(bool absolute);
			void sgnColorPGBar(bool useColor);
			void sgnColorTray(bool useColor);

		public slots:
			void sltPolling(int interval);
			void sltCalc(bool absolute);
			void sltColorPGBar(bool useColor);
			void sltColorTray(bool useColor);
	};

#endif // CONFIGWIDGET_H


