

#ifndef MSGHANDLER_H

	#define MSGHANDLER_H

	#include <qapplication.h>
	#include <qobject.h>
	#include <qtimer.h>

	#include "mainwidget.h"	
	#include "traywidget.h"
	#include "browserwidget.h"
	#include "acpibase.h"
	#include "acpilist.h"
	#include "tabwidget.h"
	#include "aboutwidget.h"
	#include "configwidget.h"
	#include "configfile.h"
	#include "settings.h"
	#include "tools.h"


	class MsgHandler : public QObject {

		Q_OBJECT

		private:
			QApplication*  app;
			MainWidget*    main;
			TrayWidget*    tray;
			BrowserWidget* browser;
			AcpiBase*      tree;
			AcpiList*      list;
			QTimer*        timer;
			TabWidget*     tab;
			AboutWidget*   about;
			ConfigWidget*  config;

		protected:

		public:
			MsgHandler(QApplication* app,
			           MainWidget* main,
			           TrayWidget* tray,
			           BrowserWidget* browser,
			           AcpiBase* tree,
			           AcpiList* list,
			           TabWidget* tab,
			           AboutWidget* about,
			           ConfigWidget* config);
			~MsgHandler();
			void createConnections();
			void initGUI();

		signals:
			void sgnPolling(int interval);
			void sgnBatCalc(bool absolute);
			void sgnColorPGBar(bool useColor);
			void sgnColorTray(bool useColor);

		public slots:
			void sltTimer(int interval);
	};

#endif // MSGHANDLER_H







