
#ifndef TRAYWIDGET_H

	#define TRAYWIDGET_H

	#include <qwidget.h>
	#include <qlabel.h>
	#include <qpixmap.h>
	#include <qcolor.h>
	#include <qpainter.h>
	#include <qtooltip.h>
	#include <qpopupmenu.h>
	#include <qpoint.h>
	#include <qmap.h>

	#include <ksystemtray.h>

	#include <iostream>
	#include <cstdio>

	#include "settings.h"
	#include "tools.h"

	class QLabelExt : public QLabel {

		Q_OBJECT

		private:
		
		protected:

		public:
			QLabelExt(const QString &text, QWidget* parent, const char* name = 0, WFlags f = 0)  : QLabel(text, parent, name, f) { };
			~QLabelExt() { };
  		void mousePressEvent(QMouseEvent* event) { emit sgnMousePress(event); };

		signals:
			void sgnMousePress(QMouseEvent* event);
	};


/*
 * NOTE: please comment in/out on of the following lines depending on what you want to build (KDE or
 * 'QT only' version). I'd prefere to do that with an #ifdef but for some reason that doesn't work out.
 * Any hints?
 */

// KDE version  
  	class TrayWidget : public KSystemTray {
// QT version
//	class TrayWidget : public QWidget {

		Q_OBJECT

		private:
			QPainter* painter;			
			QPainter* painterAC;			
			QPixmap* pixmap;
			QPixmap* pixmapAC;
			QPopupMenu* popup;
			QLabel* lbBattery;
			bool online;
			double percent;
			void drawBattery();
			QMap<int, double> mapBattery;
			bool useColors;
		
		protected:

		public:
			TrayWidget(QWidget* parent = 0, const char* name = 0, QString image = NULL);
			~TrayWidget();

		signals:
			void sgnMain();
			void sgnBrowser();
			void sgnConfiguration();
			void sgnQuit();			

		public slots:
			void sltBattery(int number, double percent);
			void sltOnline(bool online);
			void sltMain() { emit sgnMain(); };
			void sltBrowser() { emit sgnBrowser();  };
			void sltQuit() { emit sgnQuit(); };
			void sltPopup(QMouseEvent* event);
			void sltUseColors(bool useColors);
	};

#endif // TRAYWIDGET_H






